#========== Phases ==========#
# -1 lobby
# 0 team selection
# 1 phase1
# 2 phase2
# 3 phase3
#============================#
execute if score phase vars matches -1 run function bannerbattle:lobby/loop
execute if score phase vars matches 0 run function bannerbattle:start/loop
execute if score phase vars matches 1 run function bannerbattle:phase1/loop
execute if score phase vars matches 2 run function bannerbattle:phase2/loop
execute if score phase vars matches 3 run function bannerbattle:phase3/loop

# Start game
execute if block 8 217 -7 stone_button[powered=true] if score phase vars matches -1 run function bannerbattle:start/check_playercount

# Players in void
execute as @a store result score @s yPos run data get entity @s Pos[1]
tp @a[team=Spec,scores={yPos=..10}] 8.5 34 8.5 90 0

# Picking up parkour book in lobby
execute at @e[tag=pend,type=item] as @a[distance=..1,tag=!Parkour,gamemode=adventure] run function bannerbattle:lobby/get_book

# Joining players
execute as @a[scores={leave=1..}] unless score @s gameID = gameID vars run function bannerbattle:join
execute as @a[scores={leave=1..}] if score @s gameID = gameID vars run function bannerbattle:rejoin_game
execute as @a[tag=!registered] run function bannerbattle:join

# Galactic chickens
execute as @e[tag=galactic,type=chicken] at @s run function bannerbattle:lobby/galactic_chicken
execute as @e[tag=galac,type=chicken] at @s run function bannerbattle:lobby/galac_chicken

# Particles
execute at @a[tag=drop] run particle dripping_water ~ ~ ~ 0.1 0.1 .1 .1 1
execute at @a[tag=crit] run particle crit ~ ~ ~ 0.1 0.1 .1 .1 1
execute at @a[tag=note] run particle note ~ ~ ~ 0.1 0.1 .1 .1 1
particle enchant 16 249 16 0.2 1 0.2 1 1

# Player handling
recipe take @a *
team join Spec @a[team=]
effect give @a[scores={food=..19}] saturation 1 4 true

# Other mob drops
kill @e[type=item,nbt={Item:{id:"minecraft:bone"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:rotten_flesh"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:carrot"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:potato"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:iron_ingot"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:tipped_arrow"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:arrow"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:bow"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:glow_ink_sac"}}]